'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('./Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var UnarchiveIcon = function UnarchiveIcon(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return _react2.default.createElement(
    _Icon2.default,
    props,
    _react2.default.createElement(
      'svg',
      {
        style: { display: 'block' },
        width: '100%',
        height: '100%',
        fill: fill,
        viewBox: '0 0 14 14',
        xmlns: 'http://www.w3.org/2000/svg'
      },
      _react2.default.createElement('path', { d: 'M12.25.7c-.088-.437-.438-.7-.875-.7h-8.75c-.438 0-.788.263-.875.7C1.75.7 0 7.437 0 7.875v5.25c0 .525.35.875.875.875h12.25c.525 0 .875-.35.875-.875v-5.25C14 7.437 12.25.7 12.25.7zM3.325 1.75h7.35L11.988 7H9.625c-.525 0-.875.35-.875.875v1.75h-3.5v-1.75C5.25 7.35 4.9 7 4.375 7H2.013l1.312-5.25z' }),
      _react2.default.createElement('path', { d: 'M6.217 3.983V9h1.166V3.983l2.334 2.334.816-.817-3.325-3.325c-.233-.233-.583-.233-.816 0L3.067 5.5l.816.817 2.334-2.334z' })
    )
  );
};

UnarchiveIcon.displayName = 'UnarchiveIcon';

UnarchiveIcon.propTypes = _extends({}, _Icon2.default.propTypes);

UnarchiveIcon.defaultProps = _extends({}, _Icon2.default.defaultProps);

exports.default = UnarchiveIcon;