'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseProps = exports.propTypes = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = exports.propTypes = {
  backgroundColor: _propTypes2.default.string
};

var parseProps = function parseProps(_ref) {
  var backgroundColor = _ref.backgroundColor,
      style = _ref.style,
      props = _objectWithoutProperties(_ref, ['backgroundColor', 'style']);

  var newStyles = {};

  newStyles.backgroundColor = backgroundColor;

  return _extends({ style: _extends({}, newStyles, style) }, props);
};
exports.parseProps = parseProps;