'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = spinnerStory;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;
function spinnerStory(module) {
  (0, _react3.storiesOf)('Spinner', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      { white: true },
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Spinner\n\nThe Spinner component. Implement the `<Box />` component.\n\ndefaultProps:\n`width: \'32px\'`\n`height: \'32px\'`\n\n```\n<Spinner />\n```\n\n'
        ),
        _react2.default.createElement(_components.Spinner, null)
      )
    );
  }).add('standalone', function () {
    return _react2.default.createElement(_components.Spinner, null);
  });
}