'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = validationMessageStory;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;
function validationMessageStory(module) {
  (0, _react3.storiesOf)('Validation Message', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      { white: true },
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Validation Message\n\nThe ValidationMessage component is used under a  `Input` component. Implement the `<Box />` component.\n\n```\n<Input warning />\n<ValidationMessage>Please fill in a valid email</ValidationMessage>\n```\n\n'
        ),
        _react2.default.createElement(_components.Input, { warning: true }),
        _react2.default.createElement(
          _components.ValidationMessage,
          null,
          'Please fill in a valid email'
        )
      )
    );
  }).add('standalone', function () {
    return _react2.default.createElement(
      _components.ValidationMessage,
      null,
      'Please fill in a valid email'
    );
  });
}