import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import DirectionalIcon from './DirectionalIcon';

var Chevron = function Chevron(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return React.createElement(
    DirectionalIcon,
    props,
    React.createElement(
      'svg',
      { style: { display: 'block' }, xmlns: 'http://www.w3.org/2000/svg', xmlnsXlink: 'http://www.w3.org/1999/xlink', x: '0px', y: '0px', width: '100%', height: '100%', viewBox: '0 0 16 16' },
      React.createElement(
        'g',
        null,
        React.createElement('polygon', { fill: fill, points: '14.3,12.6 8,6.3 1.7,12.6 0.3,11.1 8,3.4 15.7,11.1 ' })
      )
    )
  );
};

Chevron.propTypes = _extends({}, DirectionalIcon.propTypes);

Chevron.defaultProps = _extends({}, DirectionalIcon.defaultProps);

export default Chevron;