import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';

export var propTypes = {
  overflow: PropTypes.oneOf(['hidden', 'visible', 'scroll', 'auto', 'inherit', 'initial'])
};

var parseProps = function parseProps(_ref) {
  var overflow = _ref.overflow,
      style = _ref.style,
      props = _objectWithoutProperties(_ref, ['overflow', 'style']);

  var newStyles = {};

  newStyles.overflow = overflow;

  return _extends({ style: _extends({}, newStyles, style) }, props);
};
export { parseProps };