import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import { css } from 'glamor';
import cx from 'classnames';

export var propTypes = {
  transform: PropTypes.string
};

var parseTransform = function parseTransform(transform) {
  return css({
    transform: transform
  });
};

var parseProps = function parseProps(_ref) {
  var transform = _ref.transform,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['transform', 'className']);

  return _extends({
    className: transform !== undefined ? cx('' + parseTransform(transform), className) : className
  }, props);
};
export { parseProps };