import React from 'react';
import { storiesOf } from '@storybook/react';
import { App, Pane, theme } from '../components';
import Content from './Content';
var majorScale = theme.majorScale;


export default function formsStory(module) {
  storiesOf('Forms', module).add('usage', function () {
    return React.createElement(
      App,
      { white: true },
      React.createElement(
        Pane,
        { white: true, padding: majorScale(10) },
        React.createElement(
          Content,
          { markdown: true },
          '\n# Forms (WIP)\n\nGeneral rules for form validation:\n\n* Show validation after submit\n* After submit show validation messages onChange\n* Avoid negative feedback (red colors, negative tone of voice)\n* Show helpful information under a field when necessary\n* Clicking labels should focus the corresponding field htmlFor + id\n* Be lenient in what you accept\n\nSee Input and Search Input.\n\n'
        )
      )
    );
  });
}