'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('./Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var CheckCircle = function CheckCircle(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return _react2.default.createElement(
    _Icon2.default,
    props,
    _react2.default.createElement(
      'svg',
      { style: { display: 'block' }, x: '0px', y: '0px', width: '100%', height: '100%', viewBox: '0 0 16 16', xmlns: 'http://www.w3.org/2000/svg', xmlnsXlink: 'http://www.w3.org/1999/xlink' },
      _react2.default.createElement(
        'g',
        null,
        _react2.default.createElement('circle', { fill: fill, cx: '8', cy: '8', r: '8' }),
        _react2.default.createElement('path', { d: 'M5.14261057,8.38497914 C4.87057572,8.19576054 4.49665591,8.26289639 4.30743732,8.53493124 C4.11821872,8.8069661 4.18535457,9.1808859 4.45738943,9.3701045 L6.78891865,10.9918404 C7.04653563,11.1710304 7.39871587,11.1214407 7.5968345,10.8780798 L11.5853053,5.97880207 C11.794512,5.72182106 11.7557831,5.34390133 11.4988021,5.13469473 C11.2418211,4.92548813 10.8639014,4.96421693 10.6546948,5.22119793 L7.01744334,9.68905181 L5.14261057,8.38497914 Z', id: 'icon-nano-done-copy', fill: '#FFFFFF', fillRule: 'nonzero' })
      )
    )
  );
};

CheckCircle.propTypes = _extends({}, _Icon2.default.propTypes);

CheckCircle.defaultProps = _extends({}, _Icon2.default.defaultProps, {
  fill: _theme2.default.colors.primary
});

exports.default = CheckCircle;