'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('./Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var DragIcon = function DragIcon(_ref) {
  var stroke = _ref.stroke,
      props = _objectWithoutProperties(_ref, ['stroke']);

  var svgStyle = {
    position: 'relative',
    width: '100%',
    height: '100%',
    pointerEvents: 'none'
  };

  return _react2.default.createElement(
    _Icon2.default,
    props,
    _react2.default.createElement(
      'svg',
      { viewBox: '0 0 9 18', style: svgStyle, xmlns: 'http://www.w3.org/2000/svg' },
      _react2.default.createElement(
        'g',
        { stroke: stroke, fill: 'none', fillRule: 'evenodd', strokeLinecap: 'round', strokeLinejoin: 'round' },
        _react2.default.createElement('path', { d: 'M.94 1.105h6.75M.94 4.263h6.75M.94 7.42h6.75M.94 10.58h6.75M.94 13.737h6.75M.94 16.895h6.75' })
      )
    )
  );
};

DragIcon.propTypes = _extends({}, _Icon2.default.propTypes);

DragIcon.defaultProps = _extends({}, _Icon2.default.defaultProps, {
  size: 'small'
});

exports.default = DragIcon;