'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('./Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var FilterIcon = function FilterIcon(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return _react2.default.createElement(
    _Icon2.default,
    props,
    _react2.default.createElement(
      'svg',
      { style: { display: 'block' }, width: '100%', height: '100%', viewBox: '0 0 13 13', xmlns: 'http://www.w3.org/2000/svg' },
      _react2.default.createElement('path', { fill: fill, d: 'M11.3024.6135H.7664c-.4516 0-.7526.287-.7526.7172V2.765c0 .215.0752.4302.301.5736L4.5292 6.709v4.6615c0 .287.1505.5737.4516.6454.0752.0714.2257.0714.301.0714.2258 0 .3763-.0717.5268-.215l1.505-1.4344c.1506-.1433.226-.2867.226-.502V6.709l4.2143-3.3705c.2255-.1434.301-.3585.301-.5737V1.3306c0-.4303-.301-.7172-.7528-.7172z' })
    )
  );
};

FilterIcon.propTypes = _extends({}, _Icon2.default.propTypes);

FilterIcon.defaultProps = _extends({}, _Icon2.default.defaultProps, {
  size: 'small'
});

exports.default = FilterIcon;