'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Box = require('./Box');

var _Box2 = _interopRequireDefault(_Box);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Pill = function Pill(props) {
  return _react2.default.createElement(_Box2.default, _extends({
    rounded: '100px',
    textStyle: 'pill',
    backgroundColor: _theme2.default.rawColors.pink500,
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center'
  }, props));
};

Pill.propTypes = _extends({}, _Box2.default.propTypes);

Pill.defaultProps = {
  is: 'div',
  width: '70px',
  height: '17px',
  textColor: 'white'
};

Pill.displayName = 'Pill';

exports.default = Pill;