'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseProps = exports.propTypes = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = exports.propTypes = {
  borderColor: _propTypes2.default.string,
  border: _propTypes2.default.bool,
  borderLeft: _propTypes2.default.bool,
  borderRight: _propTypes2.default.bool,
  borderTop: _propTypes2.default.bool,
  borderBottom: _propTypes2.default.bool
};

var parseProps = function parseProps(_ref) {
  var border = _ref.border,
      borderColor = _ref.borderColor,
      borderLeft = _ref.borderLeft,
      borderRight = _ref.borderRight,
      borderTop = _ref.borderTop,
      borderBottom = _ref.borderBottom,
      style = _ref.style,
      props = _objectWithoutProperties(_ref, ['border', 'borderColor', 'borderLeft', 'borderRight', 'borderTop', 'borderBottom', 'style']);

  var styles = {};

  if (border || borderLeft) styles.borderLeft = '1px solid';
  if (border || borderRight) styles.borderRight = '1px solid';
  if (border || borderTop) styles.borderTop = '1px solid';
  if (border || borderBottom) styles.borderBottom = '1px solid';
  if (border || borderColor) styles.borderColor = borderColor;

  return _extends({ style: _extends({}, styles, style) }, props);
};
exports.parseProps = parseProps;