'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = appStory;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;
function appStory(module) {
  (0, _react3.storiesOf)('App', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { flexAuto: true, white: true, padding: majorScale(10), clearfix: true },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# App *(no longer neccesary)*\n\nThe App component is the start of your app. Everything lives in here.\n\n**This is no longer neccesary!**\n\n* Meant to be the root of a page\n* The root is a Pane with some flex attributes\n* Sets up ThemeProvider with theme\n* Includes `<Fonts />` and `<GlobalStyles />`\n\n**Only one per page allowed.**\n\n```\n<App>\n  ... everything lives in here.\n</App>\n```\n\nprop | type | default | descriptiopn\n-----|------|---------|-------\n`fonts` | element | `<Fonts />` | component that injects global styles\n`globalStyles` | element | `<GlobalStyles theme={theme} />` | component that injects global styles\n'
        )
      )
    );
  });
}