'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = textareaStory;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;
function textareaStory(module) {
  (0, _react3.storiesOf)('Textarea', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      { white: true },
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Textarea\n\n**Available since v4.1.0**\n\nThe Textarea component is an `textarea` element that implements the `<Pane />` component.\n\n```\n<Textarea placeholder=\'Let us know why\' rows=\'4\' maxWidth=\'640px\' marginY={majorScale(2)} />\n<Textarea disabled placeholder=\'Let us know why\' rows=\'4\' maxWidth=\'640px\' marginY={majorScale(2)} />\n```\n'
        ),
        _react2.default.createElement(_components.Textarea, { placeholder: 'Let us know why', rows: '4', maxWidth: '640px', marginY: majorScale(2) }),
        _react2.default.createElement(_components.Textarea, { disabled: true, placeholder: 'Let us know why', rows: '4', maxWidth: '640px', marginY: majorScale(2) })
      )
    );
  });
}